WAITPID(1)

NAME
waitpid - utility to wait for arbitrary processes

SYNOPSIS

waitpid [-v] [--timeout|-t seconds] pid...

DESCRIPTION

waitpid is a simple command to wait for arbitrary non-child processes.

It exits after all processes whose PIDs have been passed as arguments have exited.

OPTIONS

-v, --verbose
    Be more verbose.

-t, --timeout seconds
    Maximum wait time.

-e, --exited
    Don’t error on already exited PIDs.

-c, --count count
    Number of process exits to wait for.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

EXIT STATUS

waitpid has the following exit status values:

0
    success

1
    unspecified failure

2
    system does not provide necessary functionality

3
    timeout expired

AUTHORS

SEE ALSO

waitpid(2) wait(1P)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The waitpid command is part of the util-linux package which can be downloaded from